Loading...
Searching...
No Matches
osmo_gsm48_classmark Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

bool | classmark1_set
struct gsm48_classmark1 | classmark1
uint8_t | classmark2_len
struct gsm48_classmark2 | classmark2
uint8_t | classmark3_len
uint8_t | classmark3 [14]

## Field Documentation

## classmark1

struct gsm48_classmark1 osmo_gsm48_classmark::classmark1

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_is_r99(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

## classmark1_set

bool osmo_gsm48_classmark::classmark1_set

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_is_r99(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

## classmark2

struct gsm48_classmark2 osmo_gsm48_classmark::classmark2

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_is_r99(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

## classmark2_len

uint8_t osmo_gsm48_classmark::classmark2_len

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_is_r99(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

## classmark3

uint8_t osmo_gsm48_classmark::classmark3[14]

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

## classmark3_len

uint8_t osmo_gsm48_classmark::classmark3_len

Referenced by osmo_gsm48_classmark_a5_name_buf(), osmo_gsm48_classmark_supports_a5(), and osmo_gsm48_classmark_update().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h